package org.hso.ecommerce.repos.shop;

import org.hso.ecommerce.entities.shop.CustomerOrder;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomerOrderRepository extends JpaRepository<CustomerOrder, Long> {

    @Query("SELECT co FROM CustomerOrder co WHERE co.customer.id = :userId")
    List<CustomerOrder> getOrdersByUserId(long userId);

}

